X# mkpath.conf - build the paths database input for smail using mkpaths(8)
X#
X# Builds the paths file (dbm style) into LIB_DIR (/usr/local/lib/smail)
X#
X# NOTE: Requires <localhost>.map in LIB_DIR/maps which overrides any
X#	connectivity data that may be in the usenet maps. Also,
X#	any other local maps must exist in LIB_DIR/maps/????.map.
X#
X# By:	Bob Denny
X#	Fri Sep 13 12:53:33 1991
X#	Delete my near neighbors until I get new maps...
X#
X# Bob Denny - Sun Oct 27 23:55:15 PST 1991
X#	Add dcthree to local overrides.
X# Bob Denny - Mon Feb  3 15:31:34 1992
X#	Change 'paths' file to be bsearch'ed, rather than dbm.
X#
X# NOTE: Blank lines in this file generate no-op pathalias directives.
X#
X# Get the usenet world maps
Xcd /usr/spool/uumaps
Xsafemap [ud].*
X#
X# Delete ourselves from the usenet map info.
X#
Xdelete `uuname -l`
X#
X# Delete near neighbors... We have most current info.
X# Don't ask why "delete foo" doesn't work... 
X#
Xdelete `echo dogcow`
Xdelete `echo dcthree`
Xdelete `echo flying`
X#
X# Add in our local host's map entry (latest and greatest)
X# and merge in any other local/new maps
X#
Xcd /usr/local/lib/smail/maps
Xmap *.map
X#
X# Now make the "paths" file for smail in the LIB_DIR.
X#
Xcd /usr/local/lib/smail
Xpathsort > /usr/local/lib/smail/paths
